Suhosin 0.9.34-Dev für PHP 5.4 manuell nachrüsten
Kommentare

Da derzeit keine Debian-Pakete für Suhosin verfügbar sind, hat Christopher Kunz auf PHP-Security.net eine Anleitung veröffentlicht, nach der man die Pakete in der aktuellen Debain-Version „Wheezy“ zum

Da derzeit keine Debian-Pakete für Suhosin verfügbar sind, hat Christopher Kunz auf PHP-Security.net eine Anleitung veröffentlicht, nach der man die Pakete in der aktuellen Debain-Version „Wheezy“ zum Laufen bekommt.

Zunächst braucht Ihr die richtigen PHP-Module, nämlich php5-common, php5-dev und idealerweise auch libapache-mod-php5filter, php5-cli, php5-cgi. Die Suhosin-Erweiterung bekommt Ihr in Stefan Essers GitHub-Repository. In den weiteren Schritten erklärt er, wie man Suhosin kompiliert und in PHP 5.4 installiert. Im Abschluss liefert &#36 php -v

PHP 5.4.0-3 (cli) (built: Mar 21 2012 20:33:26)

Copyright (c) 1997-2012 The PHP Group

Zend Engine v2.4.0, Copyright (c) 1998-2012 Zend Technologies

with Suhosin v0.9.34-dev, Copyright (c) 2007-2012, by SektionEins GmbH

Unsere Redaktion empfiehlt:

Relevante Beiträge

Meinungen zu diesem Beitrag

X
- Gib Deinen Standort ein -
- or -